%define		major	2.2
%define		libname	%mklibname %{name} %{major}
%define		devel	%mklibname %{name} -d

Name:		gflags
Version:	2.2.2
Release:	%mkrel 6
Summary:	A C++ library that implements commandline flags processing
Group:		Development/C++
License:	BSD
URL:		https://gflags.github.io/gflags/
Source0:	https://github.com/gflags/gflags/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		0001-Add-missing-to-cmake-file.patch
Patch50:	gflags-fix-pkg-path.patch
Patch51:	gflags-cmake-4.0.patch

BuildRequires:	cmake

%description
The gflags package contains a C++ library that implements commandline flags
processing. It includes built-in support for standard types such as string
and the ability to define flags in the source file in which they are used.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}2 < 2.2.1-2

%description -n	%{libname}
Libraries for %{name}

%package -n	%{devel}
Summary:	Development files for %{name}
Group:		Development/C++
Conflicts:	%{name} < 2.2.1-2
Conflicts:	%{_lib}%{name}2 < 2.2.1-2
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devel}
Development files for %{name}

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DBUILD_gflags_LIBS:BOOL=ON \
	-DINSTALL_HEADERS:BOOL=ON
%cmake_build

%install
%cmake_install

# Delete file in $HOME
%{__rm} -rf %{buildroot}/${HOME}/.cmake/packages/%{name}

%files
%doc README.md ChangeLog.txt doc/
%{_bindir}/%{name}_completions.sh

%files -n	%{devel}
%{_libdir}/libgflags.so
%{_libdir}/libgflags_nothreads.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}/

%files -n	%{libname}
%{_libdir}/libgflags_nothreads.so.%{major}
%{_libdir}/libgflags_nothreads.so.%{version}
%{_libdir}/libgflags.so.%{major}
%{_libdir}/libgflags.so.%{version}


%changelog
* Thu Jul 03 2025 aurr <aurr> 2.2.2-6.mga10
+ Revision: 2244766
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sat Apr 13 2024 wally <wally> 2.2.2-5.mga10
+ Revision: 2056917
- update pkg path patch
- add upstream patch to fix cmake files

* Thu Mar 17 2022 umeabot <umeabot> 2.2.2-4.mga9
+ Revision: 1795231
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 2.2.2-3.mga8
+ Revision: 1543943
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 shlomif <shlomif> 2.2.2-2.mga8
+ Revision: 1482499
- fix cmake detection
+ wally <wally>
- build with new cmake macros

* Thu Nov 22 2018 shlomif <shlomif> 2.2.2-1.mga7
+ Revision: 1333257
- New version 2.2.2

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-3.mga7
+ Revision: 1297871
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 wally <wally> 2.2.1-2.mga7
+ Revision: 1185506
- apply fixes from kekePower
  o fix lib major
  o move devel files to devel pkg
  o fix lib pkg group
  o move cmake call to build section
  o drop unneeded requires
  o fix devel pkg requires
  o don't remove debug files
  o other minor .spec cleaning

* Tue Dec 26 2017 shlomif <shlomif> 2.2.1-1.mga7
+ Revision: 1185220
- spec cleanups
- import from kekePower - thanks

